Bug 62216 - kernel-bigmem not selected for upgrade from 7.2's kernel-enterprise
kernel-bigmem not selected for upgrade from 7.2's kernel-enterprise
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
Blocks: 61590
  Show dependency treegraph
Reported: 2002-03-28 10:01 EST by Stephen Tweedie
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-28 16:45:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen Tweedie 2002-03-28 10:01:02 EST
Description of Problem:
On a large (8Gb) machine running 7.2 with kernel-enterprise and kernel-smp
kernels involved, a Skipjack upgrade selects only kernel-smp as the upgrade
kernel.  In fact, kernel-bigmem should be the kernel used for the upgrade, as
that supercedes the old kernel-enterprise package and is required for >4Gb
memory support.

Version-Release number of selected component (if applicable):
Install media from skipjack public beta 1.

How Reproducible:

Steps to Reproduce:
1. Install 7.2 with kernel-enterprise on a large memory machine
2. upgrade to Skipjack

Actual Results:
kernel-smp is selected by the installer for the upgrade.

Expected Results:
kernel-bigmem should be selected by the installer for the upgrade.

Additional Information:
Comment 1 Jeremy Katz 2002-03-28 14:46:01 EST
That's because kernel-bigmem didn't obsolete/provide kernel-enterprise so there
was no way for anaconda to know the two were related.  Current CVS kernel has
kernel-bigmem obsoleting kernel-enterprise which will fix this.
Comment 2 Jay Turner 2002-04-02 14:03:17 EST
Indeed, fix confirmed with 2.4.18-0.13.

Note You need to log in before you can comment on or make changes to this bug.